﻿.ExtraContent {
    width: 100%;
    background: #00000094;
    padding: 0px;
    justify-content: center;
    scroll-snap-type: y mandatory;
    overflow-y: auto;
}

.ImageorVideoContent {
    width: 100%;
    height: 100%;
    max-width: 950px;
    margin-left: auto;
    margin-right: auto;
    background: #00000094;
    display: flex;
    justify-content: center;
    overflow: hidden;
    box-sizing: border-box;
    border-radius: 20px;
    padding: 20px;
}

.Imagemax-size {
    max-width: 100%; /* Ajusta el ancho máximo según el contenedor */
    max-height: 500px; /* Ajusta la altura máxima */
    width: auto; /* Mantén la proporción original de la imagen */
    height: auto; /* Mantén la proporción original de la imagen */
}

.ButtonComment.collapsed {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.boton-more-text {
    transform: scale(0.6);
    justify-self: right;
    overflow: hidden;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    margin: 0;
    padding: 0;
    margin-top:-25px;    
    border: none;
}

    .boton-more-text svg {
        margin-left: 3px;
        margin-top: 2px;
        transition: transform 1s ease;
        transform-origin: 40% 40%;
    }

.AvatarComent {
    max-height: 55px;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
}

.fixed-width {
    width: 70px;
}

.SVGLikeOrNLikeHastag {
    color: white;
}

    .SVGLikeOrNLikeHastag:hover {
        color: darkgrey;
        cursor: pointer;
    }

.SVGNullHastag {
    color: black;
}

    .SVGNullHastag:hover {
        color: darkgrey;
        cursor: pointer;
    }

.SVGXHastag {
    fill: white;
}

    .SVGXHastag:hover {
        fill: darkgrey;
        cursor: pointer;
    }

.HashtagText {

    font-size:16px;
    font-weight:normal;

}

.HashtagMenuPublicacion {

    margin:0;
    padding:0;

}

    .HashtagMenuPublicacion .btn {

        line-height: 1.0;
        height: 2.4rem;
        border: 0; /* elimina borde extra */
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        border-left: 2px solid Black; /* separador sutil */
        border-top-right-radius: 17px;
        border-bottom-right-radius: 17px;

    }

.dropdown-HashtagMenu {
    padding: 0;
    margin: 20px;
    width: auto;
    border: solid;
    border-radius: 13px;
    overflow: hidden;
}

    .dropdown-HashtagMenu li {

        font-size:18px;

    }

.Comment-Scroll {
    min-height:77px;
    max-height: 250px;
    overflow-y: auto;
    padding: 10px;
}

.Coment-row {
    align-items: center;
    justify-content: center;
}

.Coment-Button-col {
    width: 30px;
    /*align-content: start;*/
    align-items: center;
    justify-content: center;
}

.Coment-Button {
    width: 75%;
    height: 75%;
    align-items: center;
    justify-content: center;
}

    .Coment-Button SVG {
        /*        max-height: 25px;
        max-width: 25px;*/
        height: 20px;
        width: 20px;
        position: relative;
        top: -3px;
        left: -9px;
    }
